


-- Sample Widget

local WidgetList = {}

local function New(self, parent)
	local Widget = CreateFrame("Frame", nil, parent.Widgets)
end

local function Update(widget, unitdata)
	
end

local function Identify(widget, unitdata)
	if unitdata.guid then
		Widget.guid = unitdata.guid
		WidgetList[unitdata.guid] = self
	end
end

local function Show(widget, unitdata)
	Identify(widget, unitdata)
end

local function Hide(widget, unitdata)
	Widget.guid = nil
	WidgetList[unitdata.guid] = nil
end




-- Watcher
local function WidgetEventHandler(event, ...)

end

local WidgetEvents = CreateFrame("Frame")
WidgetEvents:SetScript("OnEvent", WidgetEventHandler)
--WidgetEvents:RegisterEvent("Event")

